
#include "bignum.h"
#include <openssl/asn1.h>

void CryptoNative_BigNumDestroy(BIGNUM* a)
{
	if (a != NULL)
	{
		BN_clear_free(a);
	}
}

int32_t CryptoNative_BigNumToBinary(const BIGNUM* a, uint8_t* to)
{
	if (!a || !to)
	{
		return 0;
	}

	return BN_bn2bin(a, to);
}

int32_t CryptoNative_GetBigNumBytes(const BIGNUM* a)
{
	if (!a)
	{
		return 0;
	}

	return BN_num_bytes(a);
}
