#pragma once
#include "compiler.h"

#include <openssl/bn.h>


/*
Cleans up and deletes an BIGNUM instance.
Implemented by:
1) Calling BN_clear_free
No-op if a is null.
The given BIGNUM pointer is invalid after this call.
Always succeeds.
*/
DLLEXPORT void CryptoNative_BigNumDestroy(BIGNUM* a);

/*
Shims the BN_bn2bin method.
*/
DLLEXPORT int32_t CryptoNative_BigNumToBinary(const BIGNUM* a, uint8_t* to);

/*
Returns the number of bytes needed to export a BIGNUM.
*/
DLLEXPORT int32_t CryptoNative_GetBigNumBytes(const BIGNUM* a);
