#pragma once
#include "compiler.h"

#include <openssl/ec.h>

/*
Cleans up and deletes an EC_KEY instance.
Implemented by calling EC_KEY_free.
No-op if r is null.
The given EC_KEY pointer is invalid after this call.
Always succeeds.
*/
DLLEXPORT void CryptoNative_EcKeyDestroy(EC_KEY* r);

/*
Shims the EC_KEY_up_ref method.
Returns 1 upon success, otherwise 0.
*/
DLLEXPORT int32_t CryptoNative_EcKeyUpRef(EC_KEY* r);
