#include "err.h"
#include "utilities.h"

#include <openssl/err.h>

void CryptoNative_ErrClearError()
{
	ERR_clear_error();
}

uint64_t CryptoNative_ErrGetErrorAlloc(int32_t* isAllocFailure)
{
	unsigned long err = ERR_get_error();

	if (isAllocFailure)
	{
		*isAllocFailure = ERR_GET_REASON(err) == ERR_R_MALLOC_FAILURE;
	}

	return err;
}

void CryptoNative_ErrErrorStringN(uint64_t e, char* buf, int32_t len)
{
	ERR_error_string_n((unsigned long)e, buf, Int32ToSizeT(len));
}	
