#pragma once
#include "compiler.h"

#ifdef __cplusplus
#include <cstdint>
#else
#include <stdint.h>
#endif // __cplusplus

/*
Shims the ERR_clear_error method.
*/
DLLEXPORT void CryptoNative_ErrClearError(void);

/*
Shim to ERR_get_error which also returns whether the error
was caused by an allocation failure.
*/
DLLEXPORT uint64_t CryptoNative_ErrGetErrorAlloc(int32_t* isAllocFailure);

/*
Direct shim to ERR_error_string_n.
*/
DLLEXPORT void CryptoNative_ErrErrorStringN(uint64_t e, char* buf, int32_t len);
